com.corticon.service.ccserver.exception

## Class CcServerDecisionServiceAlreadyRegisteredException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccserver.exception.CcServerException
    - - com.corticon.service.ccserver.exception.CcServerDecisionServiceAlreadyRegisteredException

- All Implemented Interfaces:
    java.io.Serializable

      public class CcServerDecisionServiceAlreadyRegisteredException
      extends CcServerException
      implements java.io.Serializable

  `CcServerDecisionServiceAlreadyRegisteredException` is thrown if an attempt is made to load a RuleAsset (Ruleflow .erf or pre-compiled .eds file) with Decision Service Version X under a Decision Service name that already has a CCJ with the same Version X loaded. The combination of Decision Service name and Version must be unique.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerDecisionServiceAlreadyRegisteredException()`
    `CcServerDecisionServiceAlreadyRegisteredException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerDecisionServiceAlreadyRegisteredException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerDecisionServiceAlreadyRegisteredException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerDecisionServiceAlreadyRegisteredException(java.lang.String astrMessage)`
    `CcServerDecisionServiceAlreadyRegisteredException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerDecisionServiceAlreadyRegisteredException

          public CcServerDecisionServiceAlreadyRegisteredException()

    - #### CcServerDecisionServiceAlreadyRegisteredException

          public CcServerDecisionServiceAlreadyRegisteredException(java.lang.String astrMessage)

    - #### CcServerDecisionServiceAlreadyRegisteredException

          public CcServerDecisionServiceAlreadyRegisteredException(java.lang.String astrMessage,
                                                                   java.lang.Object aobject)

    - #### CcServerDecisionServiceAlreadyRegisteredException

          public CcServerDecisionServiceAlreadyRegisteredException(java.lang.Exception aparentException,
                                                                   java.lang.String astrMessage)

    - #### CcServerDecisionServiceAlreadyRegisteredException

          public CcServerDecisionServiceAlreadyRegisteredException(java.lang.Exception aparentException,
                                                                   java.lang.Object aobject)

    - #### CcServerDecisionServiceAlreadyRegisteredException

          public CcServerDecisionServiceAlreadyRegisteredException(java.lang.Exception aparentException,
                                                                   java.lang.String astrMessage,
                                                                   java.lang.Object aobject)

Copyright © 2005-2023 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.